Forums » Technical
Java update/Linux problem
Replies: 13   Pages: 1   Most recent reply posted by: sanschichis (Apr 13, 2012 8:25 AM)
Welcome, Guest
Login
Guest Settings
 Reply to this Topic  Post New Topic  Search Forum
 
  Back to Topic List
 
Replies: 13   Pages: 1  
sanschichis

Posts: 6
Registered: Sep, 2011

Java update/Linux problem Posted: Apr 13, 2012 8:25 AM
Reply
Hi,

since some days an image saying Java needs to be updated is placed just over the "practice" mode link.
If i click "play" all works well.
I think it is a mistake in javersion detection.

I use Linux with IcedTea plugin in Google Chrome and OpenJDK (supervised by Oracle but not the Oracle Java himself).

So, should it be possible to verify Java version detection or place this image elsewhere to be able to access the practice mode ?

Thank you.


Zero Skillz.™

Posts: 70
Registered: Oct, 2011

Re: Java update/Linux problem Posted: Apr 13, 2012 8:52 PM
Reply
If you use opera browser from the package manager I think java will work fine then but on google and firefox it don't

sanschichis

Posts: 6
Registered: Sep, 2011

Re: Java update/Linux problem Posted: Apr 14, 2012 5:51 AM
Reply
You are right, thanks.
No problem in Opera.
Perhaps problem is elsewhere than the java version detection from flyordie site.
Hope this can be resoved because i prefer gameplay when games are installed from the Chrome WebStore.

So now to use "practice mode" i use Opera and i play with Chrome.

Regards.

sure-ok

Posts: 6
Registered: Jan, 2012

Re: Java update/Linux problem Posted: Apr 15, 2012 2:53 AM
Reply
I'm having the same problem. I haven't tried Opera, but I would prefer not to use Opera.

I use Linux (the latest release of CrunchBang, which is based on Debian), and Iceweasel (basically Firefox). I also have Chrome and it doesn't work in that either.

After seeing the "Update Java" image, I decided to just play games instead of practice. Games worked fine. Then I really wanted to practice... So I checked my Java version, which was at version 6 29, and the current version is 6 31. So I updated to 6 31. Now when I check my version at the Java site it says I have the latest version, but the "Update Java" image still appears on the Snooker login screen, blocking the "Practice Mode" link.

I agree with sanschichis - please, developers, move the "Update Java" image so it doesn't block the "Practice Mode" link.

And I don't want to have someone tell me I should practice by playing games against people. If i'm playing a game, I have to wait usually 20 seconds for the other player to shoot, or 40 or longer if they keep making shots. In practice mode, I can just shoot shoot shoot, and get a feel for the table, and then I do much better and have a lot more fun in games that day.

P.S. I wonder if there is a link I could just go to to get to practice mode, in the meantime.

sanschichis

Posts: 6
Registered: Sep, 2011

Re: Java update/Linux problem Posted: Apr 20, 2012 8:11 PM
Reply
Problem seems resolved now.
Thank you.

Zero Skillz.™

Posts: 70
Registered: Oct, 2011

Re: Java update/Linux problem Posted: Apr 21, 2012 4:44 PM
Reply
All ok for you on firefox or google now ?

Zero Skillz.™

Posts: 70
Registered: Oct, 2011

Re: Java update/Linux problem Posted: Apr 21, 2012 4:47 PM
Reply
>Problem seems resolved now.
>Thank you.


Didn't see that sorry (A)

sure-ok

Posts: 6
Registered: Jan, 2012

fixed! thanks! and other info Posted: Apr 26, 2012 9:40 AM
Reply
thanks flyordie team. your site site is very professional and i enjoy using it.

i eventually did try snooker in opera, and i noticed that when i'm holding the "s" button to change spin, sometimes it glitches out somehow and starts moving the actual aim a bit. it's weird. but i never wanted to play snooker in opera, i still don't, so it's not a problem for me.

Zero Skillz.™

Posts: 70
Registered: Oct, 2011

Re: Java update/Linux problem Posted: Apr 29, 2012 7:24 PM
Reply
(Y)

Obi One

Posts: 1
Registered: Dec, 2006

Re: Java update/Linux problem Posted: Jul 4, 2012 7:26 AM
Reply
Java update 7.5 is bugged, I followed all the step uninstalled older version enabled whatever required and still no detection.

Removed all did manual setup, then run check to see what java level is installed from Java.com site and it does not detect that I have installed java at all!

Flyordie auto-installs java 6.32 when you remove all java versions and works ok, but if an update takes place, you are stuck again as above.

This seems to happen everytime a new version of Java comes out when using Internet explorer currently Ver.9.

Google chrome runs clean without a hitch!

ThUnDeR

Posts: 773
Registered: May, 2010

Re: Java update/Linux problem Posted: Jul 4, 2012 9:03 AM
Reply
>Google chrome runs clean without a hitch!

Firefox also works great.

ThUnDeR
FlyOrDie Moderator


ra8km

Posts: 2
Registered: Jul, 2013

Re: Java update/Linux problem Posted: Jul 8, 2013 10:26 PM
Reply
The version chrome of app store our normal, in firefox or opera the Flyordie not work, I use openjdk 7 update 25 (currently latest).

This is the error log:
IcedTea-Web Plugin version: 1.4 (1.4-3)
Mon Jul 08 19:00:23 BRT 2013
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet. For more information click "more information button".
at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:734)
at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:662)
at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:914)
Caused by: java.lang.ClassNotFoundException: mp
at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:162 7)
at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:724)
... 2 more

Chain:
1) at Mon Jul 08 18:59:56 BRT 2013
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet. For more information click "more information button".
at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:734)
at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:662)
at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:914)
Caused by: java.lang.ClassNotFoundException: mp
at net.sourceforge.jnlp.runtime.JNLPClassLoader.loadClass(JNLPClassLoader.java:162 7)
at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:724)
... 2 more

erȷc

Posts: 98
Registered: Mar, 2013

Re: Java update/Linux problem Posted: Jul 9, 2013 5:42 PM
Reply
Use Java from Oracle's site.

ra8km

Posts: 2
Registered: Jul, 2013

Re: Java update/Linux problem Posted: Jul 9, 2013 8:17 PM
Reply
Never i change of a program open source for a closed.

Bye.

Replies: 13   Pages: 1  
 
  Back to Topic List      Top of the page